//
//  adtestViewController.m
//  adtest
//
//  Created by 忠司 森 on 11/11/30.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import "adtestViewController.h"

//AdMob パブリッシャーIDの設定
// XXXXXXXXXXXXXXXをアプリのパブリッシャー IDに変更してください。
#define MY_BANNER_UNIT_ID	@"XXXXXXXXXXXXXXX"


@implementation adtestViewController

//iAdのバナービュー
@synthesize bannerView;
//admob
BOOL isEnableAdMob = NO;  


#pragma mark - View lifecycle


- (void)viewDidLoad
{
    [super viewDidLoad];
 
////////////////////////////////////////////////////////////////////////
//iOS4.0以上のときは、iADを表示させ4未満のときは、AdMobを表示させる  
     if ([[[UIDevice currentDevice] systemVersion] floatValue] >= 4.0) {  
        
         [self startiAd];  
        
    } else {  
        
        [self startAdMobAd];  
        
    }  
//////////////////////////////////////////////////////////////////////////   
    
}


/////////////////////////////////////////////////////////////////////////  
// iAD広告開始   
- (void) startiAd { 
    
	ADBannerView *banner = [[ADBannerView alloc] initWithFrame:CGRectZero];
	banner.delegate = self;
    ///	banner.currentContentSizeIdentifier = ADBannerContentSizeIdentifier320x50;
	self.bannerView = banner;
	[self.view addSubview:banner];
    [banner release];
	
	//iAdのバナーを画面の外に表示しておく
	[self moveBannerViewOffscreen];
    
    
    
}  
///////////////////////////////////////////////////////////////////////////////



////////////////////////////////////////////////////////////////////////////////
//iAdのバナーを画面の外に表示する
- (void)moveBannerViewOffscreen{
	CGRect newBannerView = self.view.frame;
	newBannerView.origin.y = self.view.frame.size.height;
	self.bannerView.frame = newBannerView;
}
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
//iAdのバナーを画面の中に表示する
- (void)moveBannerViewOnscreen{
    
    NSLog(@"iAd:startiAd");  
	CGRect newBannerView = self.view.frame;
	newBannerView.origin.y = self.view.frame.size.height - self.bannerView.frame.size.height;
    
	[UIView beginAnimations:@"BannerViewIntro" context:NULL];
	self.bannerView.frame = newBannerView;
	[UIView commitAnimations];
	
}
//////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////
// iAdの広告を取得したとき  
- (void)bannerViewDidLoadAd:(ADBannerView *)banner{

    //AdMobの広告を終了する 
    [self endAdMobAd];  
    
	//iAdのバナーを画面の中に表示する
	[self moveBannerViewOnscreen];
    
}
///////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////////
// iAdの広告が取得できなかったとき  
- (void)bannerView:(ADBannerView *)banner didFailToReceiveAdWithError:(NSError *)error{  

	///iAdのバナーを画面の外に表示する
    [self moveBannerViewOffscreen];
    
    //Admobの広告を開始する  
    [self startAdMobAd];  
    
    
}
///////////////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////////////////
// Admobの広告を開始する  
- (void) startAdMobAd {  
    NSLog(@"startAdMobAdd");  
    
    if (!isEnableAdMob) {  
        bannerView_ = [[GADBannerView alloc]
                       initWithFrame:CGRectMake(0.0,
                                                self.view.frame.size.height -
                                                GAD_SIZE_320x50.height,
                                                GAD_SIZE_320x50.width,
                                                GAD_SIZE_320x50.height)];
        
        // Specify the ad's "unit identifier." This is your AdMob Publisher ID.
        bannerView_.adUnitID = MY_BANNER_UNIT_ID;
        
        // Let the runtime know which UIViewController to restore after taking
        // the user wherever the ad goes and add it to the view hierarchy.
        bannerView_.rootViewController = self;
        [self.view addSubview:bannerView_];
        
        // Initiate a generic request to load it with an ad.
        [bannerView_ loadRequest:[GADRequest request]];
        isEnableAdMob = YES;  
    }
}  
/////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////// 
// AdMobの広告を終了する  
- (void) endAdMobAd {  
    if (isEnableAdMob) {    
        [bannerView_ removeFromSuperview];  
        bannerView_.delegate = nil;  
        [bannerView_ release];
        bannerView_ = nil;
        isEnableAdMob = NO;  
    }  
} 


//////////////////////////////////////////////////////////////////////////////////////////

- (void)dealloc
{
     
	[bannerView_ release];
	[bannerView release];  
    
     [super dealloc];
}

///////////////////////////////////////////////////////////////////////////////////////////

//ここまで

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
